> ## Documentation Index
> Fetch the complete documentation index at: https://docs.social-api.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pinterest boards

> Returns the boards for a connected Pinterest account.



## OpenAPI

````yaml /api-reference/openapi.json get /accounts/{id}/boards
openapi: 3.0.0
info:
  description: >-
    Unified social media inbox API. Read and respond to comments, DMs, reviews,
    and mentions across Instagram, Facebook, Threads, Google Business Profile,
    TikTok, LinkedIn, and YouTube through a single REST API. X/Twitter and
    Trustpilot coming soon.
  title: SocialAPI.AI
  contact:
    name: SocialAPI.AI Support
    email: support@social-api.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.social-api.ai/v1
security: []
paths:
  /accounts/{id}/boards:
    get:
      tags:
        - Accounts
      summary: List Pinterest boards
      description: Returns the boards for a connected Pinterest account.
      parameters:
        - description: Connected account ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.PinterestBoardsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_endpoints.ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api_endpoints.PinterestBoardsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/api_endpoints.PinterestBoardItem'
    api_endpoints.ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/api_endpoints.ErrorBody'
    api_endpoints.PinterestBoardItem:
      type: object
      properties:
        board_id:
          type: string
          example: '8828'
        id:
          type: string
          example: sapi_board_01HZ9X3Q4R5M6N7P8V2K0W1J
        name:
          type: string
          example: Recipes
        privacy:
          type: string
          enum:
            - PUBLIC
            - PROTECTED
            - SECRET
          example: PUBLIC
    api_endpoints.ErrorBody:
      type: object
      properties:
        code:
          type: string
          example: resource.not_found
        message:
          type: string
          example: Account not found
        meta:
          type: object
          additionalProperties: {}
  securitySchemes:
    BearerAuth:
      description: >-
        Prefix your API key with "Bearer ". Example: `Authorization: Bearer
        sapi_key_...`
      type: apiKey
      name: Authorization
      in: header

````